Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206708 - Review Request: acerhk - Acer Hotkey driver
Summary: Review Request: acerhk - Acer Hotkey driver
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-09-15 20:05 UTC by Marcin Grabda
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-10 02:45:24 UTC


Attachments (Terms of Use)

Description Marcin Grabda 2006-09-15 20:05:44 UTC
Spec URL: http://student.agh.edu.pl/~grabka/acerhk/acerhk.spec
SRPM URL: http://student.agh.edu.pl/~grabka/acerhk/acerhk.spec
Description: This package contains the driver for managing special buttons and wireless
antenna on Acer and compatible laptops.

Comment 1 Stewart Adam 2006-09-21 22:11:34 UTC
I'm not a reviewer, but I can do what I can to help.

rpmlint on both the binary (for i686 at least) and SRPMS comes out clean, and
they build flawlessly on my machine. I have no complaints here, you have a
pretty clean package!

Comment 2 Nicolas Chauvet (kwizart) 2006-10-18 00:31:45 UTC
Need to be added since kernel 2.6.18-1.2200.fc5, because like many kmod-package
- including of linux/config.h now is deprecated. (i've pick a recent example
from Ville Skyttä)

%prep
Setup ...
grep -rlF '<linux/config.h>' acerhk-%{version} \
| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|' 

Any idea when this package will be accepted on extras?

Comment 3 Kevin Fenzi 2007-06-03 03:37:31 UTC
Same note as for the acerhk-kmod submission: 

Marcin: Do you still wish to submit this package? 
If I don't hear anything from you in 1 week I will go ahead and close it. 

NOTE: from what I can see on the upstream page, this driver is no longer being
maintained... 

"Unfortunately I have not the time anymore to actively support this driver, I
even don't own an Acer laptop anymore. If anyone is interested to take over the
job of maintaining this driver, please contact me.

You can still mail me, I will try to help you, but it will take some time and I
am not always able to give help."

(from: http://www.cakey.de/acerhk/)


Comment 4 Kevin Fenzi 2007-06-10 02:45:24 UTC
Marcin: I am going to go ahead and close this now. 

If you want to continue, feel free to re-open this review or file a new one.


Note You need to log in before you can comment on or make changes to this bug.